#!/bin/bash

# Copyright (C) 2006-2012 Oracle. All rights reserved.
#
# This program is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation, version 2.  This program is distributed in the hope that it will
# be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
# Public License for more details.  You should have received a copy of the GNU
# General Public License along with this program; if not, write to the Free
# Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
# 021110-1307, USA.

#======================================================================================
# More common function from the network configuration scripts should moved to this file
#======================================================================================
CONFIGDIR="/etc/sysconfig/network-scripts/"
infiniband_device() {
    local netdev="$1"
    /bin/ls /sys/class/net/${netdev}/device/infiniband* >/dev/null 2>&1
    if [ $? -eq 0 ]; then
        return 0
    else
        return 1
    fi
}
bridge_port() {
    local port="$1"
    if /usr/bin/ovs-vsctl port-to-br $port > /dev/null 2>&1 ;then
        return 0
    else
        return 1
fi
}
clean_dhcp() {

 if [ -f "/var/run/dhclient-${1}.pid" ]; then
     dhcpid=`cat /var/run/dhclient-${1}.pid`
     /sbin/dhclient -r -lf /var/lib/dhclient/dhclient-${1}.leases -pf \
     /var/run/dhclient-${1}.pid ${1} >/dev/null 2>&1
     rm -f /var/run/dhclient-${1}.pid >/dev/null 2>&1
     kill $dhcpid >/dev/null 2>&1 || :
     if [ -f "/var/lib/dhclient/dhclient-${1}.leases" ]; then
         rm -f /var/lib/dhclient/dhclient-${1}.leases >/dev/null 2>&1
     fi
 fi
}

